import os
from random import randint

vornamen = ["Hans", "Waldemar", "Gudrun", "Kleopatra",
            "Peter", "Anette", "Karl", "Gustaf",
            "Jan", "Doris", "Marie", "Jacqueline",
            "Arnold", "Bill", "Anton", "Johanna"]

nachnamen = ["Müller", "Meier", "Schmidt", "Hartmann",
            "Schwarzenegger", "Krüger", "Karlsson", "Goethe", 
            "Schiller", "Gates", "Lange", "Schulz"]

mail = ["@gmx.de", "@gmail.com", "@web.de"]


sql_skript = "DROP TABLE IF EXISTS Nutzer;\n"
sql_skript += """CREATE TABLE Nutzer
          (
              MailAdresse   TEXT    NOT NULL,
              Name      TEXT   NOT NULL,
			  Vorname      TEXT   NOT NULL,
              Guthaben NUMERIC NOT NULL,
              Passwort TEXT NOT NULL,

              PRIMARY KEY(MailAdresse)
          );\n"""
angelegte_nutzer = []
for i in range(20):
    vorname = vornamen[randint(0, 15)]
    nachname = nachnamen[randint(0, 11)]
    mail_endung = mail[randint(0, 2)]
    # Mail-Adresse könnte nicht UNIQUE sein
    mail_adresse = vorname.lower() + "." + nachname.lower() + mail_endung
    guthaben = randint(0, 2000000) / 100
    passwort = ""
    for i in range(8):
        passwort += chr(randint(49, 123))
    if mail_adresse not in angelegte_nutzer:
        angelegte_nutzer.append(mail_adresse)
        sql_skript += "INSERT INTO Nutzer VALUES ('{}', '{}', '{}', {}, '{}');\n".format(
            mail_adresse, nachname, vorname, guthaben, passwort
        )

# Spezielle Namen, die in der Aufgabenstellung erwähnt werden
if "anton.schmidt@gmx.de" not in angelegte_nutzer:
    sql_skript += "INSERT INTO Nutzer VALUES ('anton.schmidt@gmx.de', 'Schmidt', 'Anton', 1234.56, 'meinekatzeanita');\n"
if "anton.goethe@gmx.de" not in angelegte_nutzer:
    sql_skript += "INSERT INTO Nutzer VALUES ('anton.goethe@gmx.de', 'Goethe', 'Anton', 0.01, 'pw1234');\n"
if "peter.karlsson@gmx.de" not in angelegte_nutzer:
    sql_skript += "INSERT INTO Nutzer VALUES ('peter.karlsson@gmx.de', 'Karlsson', 'Peter', 34523.12, 'karlssonaufmdach!');\n"

with open('nutzerdaten.sql', encoding='utf-8', mode='w') as f:
    f.write(sql_skript)